C       Read in a string of 10 digits, then display them as a 10 digit
C       number with 5 digits after the decimal place

        DO 20 I = 1,5
           WRITE (6,10) 'Enter a 10-digit number:'
           READ (5,11) A
           WRITE (6,12) 'You entered: ', A
   20   CONTINUE
   
C       Format statements
   10   FORMAT (1X, A25)
   11   FORMAT (F10.5)
   12   FORMAT (A15, F11.5)

        STOP
        END
        
